Qt 5.9 | Qt 3D | QML Types | RenderStateSet QML Type

Qt 5.9.9 Reference Documentation

# RenderStateSet QML Type

The RenderStateSet FrameGraph node offers a way of specifying a set of RenderState objects to be applied during the execution of a framegraph branch. More...

Import Statement: | import
Since: | Qt 5.5
Instantiates: | QRenderStateSet
Inherits: | FrameGraphNode

- List of all members, including inherited members

## Properties

- renderStates : list<RenderState>

## Detailed Description

States set on a RenderStateSet are set globally, contrary to the per-material states that can be set on a RenderPass. By default, an empty RenderStateSet will result in all render states being disabled when executed. Adding a RenderState state explicitly enables that render state at runtime.

See also RenderState and RenderPass.

## Property Documentation

renderStates : list<RenderState>

Holds the list of RenderState objects used by the RenderStateSet.